package com.example.system.service;

import com.example.system.model.ArticleTable;
import org.springframework.transaction.annotation.Transactional;
import java.util.List;

public interface ArticleService {
    // 获取所有历史文章
    List<ArticleTable> getHistoryArticle();

    // 创建文章并在创建成功时发送短信通知
    @Transactional
    Integer createArticle(ArticleTable article);

    // 根据文章ID获取文章
    ArticleTable getArticleById(Integer id);

    // 根据文章ID来删除对应的文章
    Boolean deleteArticleById(Integer id);

    // 修改文章
    Boolean updateArticle(ArticleTable articleTable);

    // 通知所有参与指定竞赛的用户（发送短信）
    void notifyParticipants(Integer competitionId);

}